SystemOrganization addCategory: #'Settings-System'!

Object subclass: #SystemSystemSettings
	instanceVariableNames: ''
	classVariableNames: 'SoundEnabled UseThemeSounds'
	poolDictionaries: ''
	category: 'Settings-System'!

!SystemSystemSettings class methodsFor: 'settings' stamp: 'MiguelCoba 5/30/2010 22:51'!
authorSettingOn: aBuilder
	<systemsettings>
	(aBuilder setting: #authorFullName)
		order: -100000;
		parent: #codeEditing;
		label: 'Author identification';
		target: Author;
		selector: #fullName;
		notInStyle;
		default: '';
		ghostHelp: 'Vincent van Gogh -> VincentVanGogh';
		description: 'Your full name.
It will be used to sign the changes you make to the image.
Avoid spaces, accents, dashes, underscore, and similar characters. E.g., 

Vincent van Gogh -> VincentVanGogh
Miguel Cob -> MiguelCoba'
! !

!SystemSystemSettings class methodsFor: 'settings' stamp: 'pavel.krivanek 10/16/2010 22:44'!
systemSettingOn: aBuilder
	<systemsettings>
	(aBuilder group: #pharoSystem) 
		label: 'System' translated;
		description: 'General system settings' translated;
		with: [
			(aBuilder setting: #readDocumentAtStartup)
				label: 'Read document at startup' translated;
				target: AbstractLauncher;
				description: 'Use the second parameter of the virtual machine as a local or network address of the file and then file-in this file.' translated.
			(aBuilder setting: #serverMode)
				label: 'Server mode' translated;
				target: WorldState;
				description: 'If enabled, then each main rendering loop will always wait a complete delay of 50ms' translated.
			(aBuilder setting: #checkSourcesFileAvailability)
				label: 'Check sources file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no sources file can be found.' translated.
			(aBuilder setting: #checkChangesFileAvailability)
				label: 'Check changes file availability' translated;
				target: SmalltalkImage;
				description: 'If true, then you will be warned, whenever you start up, if no changes file can be found.' translated.
			(aBuilder setting: #useLocale)
				label: 'Use locale' translated;
				target: Locale;
				selector: #activated;
				description: 'Use the system locale to set the system language at startup.' translated]
! !

!SystemSystemSettings class methodsFor: 'settings' stamp: 'AlainPlantec 4/15/2010 15:59'!
updateSystemSettingOn: aBuilder
	<systemsettings>
	(aBuilder group: #updates)
		label: 'Updates' translated;
		parent: #pharoSystem;
		description: 'Settings related to the way the system is updated' translated;
		with: [
			(aBuilder setting: #showUpdateOptionInWorldMenu)
				label: 'Show update option in World menu' translated;
				target: WorldState;
				description: 'Enable/disable the Software Update option in the World Menu' translated.
			(aBuilder setting: #updateFromServerAtStartup)
				label: 'At startup' translated;
				target: AutoStart;
				description: 'If enabled, then process update files from a well-known update server at system startup time' translated.
			(aBuilder setting: #updateSavesFile)
				label: 'Save update files' translated;
				target: Utilities;
				description: 'If true, then when an update is loaded from the server, a copy of it will automatically be saved on a local file as well' translated.
			(aBuilder setting: #upgradeIsMerge)
				label: 'Merge' translated;
				target: MCConfiguration;
				description: 'If true, when upgrading packages, use merge instead of load.' translated.
			]
! !
